summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-admin/lastpass-cli
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-admin/lastpass-cli')
-rw-r--r--app-admin/lastpass-cli/Manifest2
-rw-r--r--app-admin/lastpass-cli/lastpass-cli-0.3.0.ebuild37
-rw-r--r--app-admin/lastpass-cli/lastpass-cli-0.5.0.ebuild37
-rw-r--r--app-admin/lastpass-cli/metadata.xml19
4 files changed, 95 insertions, 0 deletions
diff --git a/app-admin/lastpass-cli/Manifest b/app-admin/lastpass-cli/Manifest
new file mode 100644
index 00000000000..4498b45e497
--- /dev/null
+++ b/app-admin/lastpass-cli/Manifest
@@ -0,0 +1,2 @@
+DIST lastpass-cli-0.3.0.tar.gz 48596 SHA256 7956fe945aae64bd57350c3ed89773dd1449b99e8e0369eefcea14382e4aea08 SHA512 9993de2a8d8d66440d318985d1f15ed44033beb9932193f3ef90c5fdc2b598d9b9099d8a0bf871877dbf08014f028fad5305d33cc30bc9b1a7367a582e17002b WHIRLPOOL e7337847500c3a251ed81151517c4f3d8e4a8bd7089195f22748a117aad9c12f36c22471ea84a81ca7e2c4838063dbd852b34a86cf9701749d75278bec7c40ef
+DIST lastpass-cli-0.5.0.tar.gz 59237 SHA256 09e7b1e5c1520db2a34a49e7ae07e5b3a7555a4ed2490ed7b56f047065bca812 SHA512 7c34ba4cbf43b299656881766e40302edce1db27fb5eb20bed82fbd141354c7682f49d7dd114af0b1eae512e21f7b334b5bd9b820bac53aa52ad7400a579d925 WHIRLPOOL 443898d70290658900140f4262218b1923eed09a67a0aca18fb1c530a12b466b8362a1f190aaa73586e5ddfb4e843fbce9262e26d4ce2d66e38eed6e59b5820c
diff --git a/app-admin/lastpass-cli/lastpass-cli-0.3.0.ebuild b/app-admin/lastpass-cli/lastpass-cli-0.3.0.ebuild
new file mode 100644
index 00000000000..e1129508d83
--- /dev/null
+++ b/app-admin/lastpass-cli/lastpass-cli-0.3.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Interfaces with LastPass.com from the command line."
+SRC_URI="https://github.com/lastpass/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://github.com/lastpass/lastpass-cli"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="X +pinentry"
+
+RDEPEND="
+ X? ( || ( x11-misc/xclip x11-misc/xsel ) )
+ dev-libs/openssl:0
+ net-misc/curl
+ dev-libs/libxml2
+ pinentry? ( app-crypt/pinentry )
+"
+DEPEND="${RDEPEND} app-text/asciidoc"
+
+src_prepare() {
+ sed -i 's/install -s/install/' Makefile || die "Could not remove stripping"
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}/usr"
+ emake PREFIX="${EPREFIX}/usr" doc-man
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install-doc
+}
diff --git a/app-admin/lastpass-cli/lastpass-cli-0.5.0.ebuild b/app-admin/lastpass-cli/lastpass-cli-0.5.0.ebuild
new file mode 100644
index 00000000000..e1129508d83
--- /dev/null
+++ b/app-admin/lastpass-cli/lastpass-cli-0.5.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Interfaces with LastPass.com from the command line."
+SRC_URI="https://github.com/lastpass/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://github.com/lastpass/lastpass-cli"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="X +pinentry"
+
+RDEPEND="
+ X? ( || ( x11-misc/xclip x11-misc/xsel ) )
+ dev-libs/openssl:0
+ net-misc/curl
+ dev-libs/libxml2
+ pinentry? ( app-crypt/pinentry )
+"
+DEPEND="${RDEPEND} app-text/asciidoc"
+
+src_prepare() {
+ sed -i 's/install -s/install/' Makefile || die "Could not remove stripping"
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}/usr"
+ emake PREFIX="${EPREFIX}/usr" doc-man
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install-doc
+}
diff --git a/app-admin/lastpass-cli/metadata.xml b/app-admin/lastpass-cli/metadata.xml
new file mode 100644
index 00000000000..55306219135
--- /dev/null
+++ b/app-admin/lastpass-cli/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jdhore@gentoo.org</email>
+ <name>Jeff Horelick</name>
+ </maintainer>
+ <use>
+ <flag name="X">
+ Use <pkg>x11-misc/xclip</pkg> or <pkg>x11-misc/xsel</pkg> to copy passwords to the clipboard.
+ </flag>
+ <flag name="pinentry">
+ Use <pkg>app-crypt/pinentry</pkg> to prompt for passwords.
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="github">lastpass/lastpass-cli</remote-id>
+ </upstream>
+</pkgmetadata>